<?php
namespace Modules\Orders\Worldspan\Collector;

class Controller extends \ModulesAbstract\ImportedOrdersFileManager\Controller
{
	protected $fileDetailsTabs = ["displayHumanReadableFile", "displayOriginalFile", "displayFileParsedData", "displayStructureParserData", ];

	/**
	 * (non-PHPdoc)
	 * @see \ModulesAbstract\ImportedOrdersFileManager\Controller::getBasePath()
	 */
	protected function getBasePath()
	{
		return cleanPath(sprintf("%s/%s", APP_REAL_PATH, $this->globalCfg['paths']['worldspan']));
	}

	protected function getFileParsedObject($input)
	{
		$filterFileParsed = new \Modules\Orders\Worldspan\Collector\Model\Filters\FileParsed();
		$filterFileParsed->setInput($input);

		return $filterFileParsed;

	}
}